libetonyek::PAGFootnoteState Struct Reference

`#include <PAGTypes.h>`

## Public Member Functions
| PAGFootnoteState ()

## Public Attributes
bool | m_firstTextAfterMark
bool | m_pending
std::string | m_mark
std::deque< IWORKOutputElements > | m_footnotes
std::deque< IWORKOutputElements >::const_iterator | m_nextFootnote

## Constructor & Destructor Documentation

## ◆ PAGFootnoteState()

libetonyek::PAGFootnoteState::PAGFootnoteState | ( |  | ) |

## Member Data Documentation

## ◆ m_firstTextAfterMark

bool libetonyek::PAGFootnoteState::m_firstTextAfterMark

Referenced by PAGFootnoteState().

## ◆ m_footnotes

std::deque<IWORKOutputElements> libetonyek::PAGFootnoteState::m_footnotes

Referenced by PAGFootnoteState().

## ◆ m_mark

std::string libetonyek::PAGFootnoteState::m_mark

Referenced by PAGFootnoteState().

## ◆ m_nextFootnote

std::deque<IWORKOutputElements>::const_iterator libetonyek::PAGFootnoteState::m_nextFootnote

Referenced by PAGFootnoteState().

## ◆ m_pending

bool libetonyek::PAGFootnoteState::m_pending

Referenced by PAGFootnoteState().

The documentation for this struct was generated from the following files:

- PAGTypes.h
- PAGTypes.cpp